Loading...
Searching...
No Matches
gridfire::expectations::EngineError Struct Reference

`#include <expected_engine.h>`

Inheritance diagram for gridfire::expectations::EngineError:
[legend]
Collaboration diagram for gridfire::expectations::EngineError:
[legend]

## Public Member Functions

| EngineError (std::string message, const EngineErrorTypes type)
virtual | ~EngineError ()=default

## Public Attributes

std::string | m_message
const EngineErrorTypes | type = EngineErrorTypes::FAILURE

## Friends

std::ostream & | operator<< (std::ostream &os, const EngineError &e)

## Constructor & Destructor Documentation

## EngineError()

gridfire::expectations::EngineError::EngineError | ( | std::string | message,
|  | const EngineErrorTypes | type )

inlineexplicit

## ~EngineError()

virtual gridfire::expectations::EngineError::~EngineError | ( |  | ) |

virtualdefault

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const EngineError & | e )

friend

## Member Data Documentation

## m_message

std::string gridfire::expectations::EngineError::m_message

## type

const EngineErrorTypes gridfire::expectations::EngineError::type = EngineErrorTypes::FAILURE

The documentation for this struct was generated from the following file:

- src/include/gridfire/expectations/expected_engine.h